CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

XRefLayerVisibility Property (ActiveX)

2023-1-3 00:50| 发布者: admin| 查看: 252| 评论: 0|来自: AutoCAD

摘要: 确定与外部参照相关的图层的可见性,并指定是否保存嵌套的外部参照路径更改。

确定与外部参照相关的图层的可见性,并指定是否保存嵌套的外部参照路径更改。

支持的平台:仅窗口

签名

工 务 局:

object.XRefLayerVisibility
对象

类型:数据库首选项

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:在当前图形中所做的与外部参照相关的图层更改优先。
  • False:存储在参照图形 (xref) 中的图层表优先。

言论

此属性的初始值为。True

设置为 时,图层设置将与当前图形的图层表一起保存,并在会话之间保留。嵌套的外部参照路径更改将与当前图形一起保存,并在会话之间保留。True

当此属性设置为 时,对当前图形中与外部参照相关的图层所做的更改仅在当前进程中有效,但不会随图形一起保存。重新打开当前图形时,将从参考图形重新加载图层表,并且当前图形将反映这些设置。受影响的图层设置包括:开/关、冻结/解冻、颜色和线型。此设置还指定对嵌套外部参照路径所做的更改仅适用于当前进程,不与图形一起保存。False

注意:此属性的值存储在 VISRETAIN 系统变量中。

例子

工 务 局:

Sub Example_XRefLayerVisibility()
    ' This example reads and modifies the preference value that controls
    ' the visibility of xref-dependent layers and specifies if nested xref
    ' path changes are saved.
    '
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadDatabasePreferences
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the user preferences object
    Set ACADPref = ThisDrawing.preferences
    
    ' Read and display the original value
    originalValue = ACADPref.XRefLayerVisibility
    MsgBox "The XRefLayerVisibility preference is set to: " & originalValue

    ' Modify the XRefLayerVisibility preference by toggling the value
    ACADPref.XRefLayerVisibility = Not (ACADPref.XRefLayerVisibility)
    newValue = ACADPref.XRefLayerVisibility
    MsgBox "The XRefLayerVisibility preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.XRefLayerVisibility = originalValue
    MsgBox "The XRefLayerVisibility preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_XRefLayerVisibility()
    ;; This example reads and modifies the preference value that controls
    ;; the visibility of xref-dependent layers and specifies if nested xref
    ;; path changes are saved.
    ;;
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    (setq preferences (vla-get-Preferences doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-XRefLayerVisibility preferences))
    (alert (strcat "The XRefLayerVisibility preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the XRefLayerVisibility preference by toggling the value
    (vla-put-XRefLayerVisibility preferences (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (alert (strcat "The XRefLayerVisibility preference has been set to: " (if (= (vla-get-XRefLayerVisibility preferences) :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-XRefLayerVisibility preferences originalValue)
    (alert (strcat "The XRefLayerVisibility preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 16:28

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部